# Create a profile (V1) (deprecated)

This endpoint is deprecated. Please see the [Create Personal Profile](/api-reference/legacy/profile/profilepersonalcreate) and [Create Business Profile](/api-reference/legacy/profile/profilebusinesscreate) v2 endpoints.
Create personal or business user profile. Set `type` to `"personal"` or `"business"`.
One person cannot have multiple active duplicate user profiles, creating multiple profiles with the same details will fail. When this happens, you should show an error message to the user informing them that they may have an existing Wise account. The customer should then be allowed to [link to an existing Wise account](/guides/product/kyc/partner-kyc/accessing-accounts#link-account).
For personal profiles, you must submit the profile's address using [POST /v1/addresses](/api-reference/legacy/address/addresscreate). Failure to do so will result in an incomplete registration and delayed transactions.
For business profiles, you must always create a personal profile first. Business profiles cannot be created without a personal profile.
See [Business Category](/guides/product/kyc/business-categories) for the list of valid category and sub-category values for business profiles.

Endpoint: POST /v1/profiles
Security: UserToken, PersonalToken

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `type` (string, required)
    Enum: "personal"

  - `details` (object)
    Personal profile details.

  - `details.firstName` (string)
    First name (including middle names).
    Example: Oliver

  - `details.lastName` (string)
    Last name.
    Example: Wilson

  - `details.preferredName` (string)
    Preferred first name, if different to the legal first name.
    Example: Olivia

  - `details.dateOfBirth` (string)
    Date of birth.
    Example: 1977-07-01

  - `details.phoneNumber` (string)
    Phone number in international phone number format.
    Example: +3725064992

  - `details.firstNameInKana` (string | null)
    First name in Katakana (required for from-JPY personal transfers).
    Example: null

  - `details.lastNameInKana` (string | null)
    Last name in Katakana (required for from-JPY personal transfers).
    Example: null

  - `details` (object)
    Business profile details.

  - `details.name` (string)
    Business name.
    Example: ABC Logistics Ltd

  - `details.registrationNumber` (string)
    Business registration number.
    Example: 12144939

  - `details.acn` (string | null)
    Australian Company Number (only for Australian businesses).
    Example: null

  - `details.abn` (string | null)
    Australian Business Number (only for Australian businesses).
    Example: null

  - `details.arbn` (string | null)
    Australian Registered Body Number (only for Australian businesses).
    Example: null

  - `details.companyType` (string)
    Company legal form.
    Enum: "LIMITED", "PARTNERSHIP", "SOLE_TRADER", "LIMITED_BY_GUARANTEE", "LIMITED_LIABILITY_COMPANY", "FOR_PROFIT_CORPORATION", "NON_PROFIT_CORPORATION", "LIMITED_PARTNERSHIP", "LIMITED_LIABILITY_PARTNERSHIP", "GENERAL_PARTNERSHIP", "SOLE_PROPRIETORSHIP", "PRIVATE_LIMITED_COMPANY", "PUBLIC_LIMITED_COMPANY", "TRUST", "OTHER"

  - `details.companyRole` (string)
    Role of person.
    Enum: "OWNER", "DIRECTOR", "OTHER"

  - `details.descriptionOfBusiness` (string)
    Sector / field of activity.

  - `details.webpage` (string)
    Business webpage. Required if companyType is OTHER.
    Example: https://abc-logistics.com

  - `details.businessCategory` (string)
    [Business category](/guides/product/kyc/business-categories).
    Example: CONSULTING_IT_BUSINESS_SERVICES

  - `details.businessSubCategory` (string)
    [Business sub-category](/guides/product/kyc/business-categories).
    Example: DESIGN

## Response 200 fields (application/json):

  - `id` (integer)
    Profile ID.
    Example: 30000001

  - `type` (string)
    Enum: "personal"

  - `details` (object)
    Personal profile details.

  - `details.firstName` (string)
    Example: Oliver

  - `details.lastName` (string)
    Example: Wilson

  - `details.dateOfBirth` (string)
    Example: 1977-07-01

  - `details.phoneNumber` (string)
    Example: +3725064992

  - `details.avatar` (string)

  - `details.occupation` (string)

  - `details.occupations` (array | null)

  - `details.occupations.code` (string)
    Example: Software Engineer

  - `details.occupations.format` (string)
    Example: FREE_FORM

  - `details.primaryAddress` (integer | null)
    Address object ID.
    Example: null

  - `details.firstNameInKana` (string | null)
    Example: null

  - `details.lastNameInKana` (string | null)
    Example: null

  - `details` (object)
    Business profile details.

  - `details.name` (string)
    Example: ABC Logistics Ltd

  - `details.registrationNumber` (string)
    Example: 12144939

  - `details.acn` (string | null)
    Example: null

  - `details.abn` (string | null)
    Example: null

  - `details.arbn` (string | null)
    Example: null

  - `details.companyType` (string)
    Example: LIMITED

  - `details.companyRole` (string)
    Example: OWNER

  - `details.descriptionOfBusiness` (string)
    Example: Information and communication

  - `details.webpage` (string)
    Example: https://abc-logistics.com

  - `details.businessCategory` (string)
    [Business category](/guides/product/kyc/business-categories).
    Example: CONSULTING_IT_BUSINESS_SERVICES

  - `details.businessSubCategory` (string)
    [Business sub-category](/guides/product/kyc/business-categories).
    Example: DESIGN

